incubator-ooo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andrea Pescetti <pesce...@apache.org>
Subject [RELEASE] [3.4.1] Bug 119229 as blocker (download new versions of extensions)
Date Sun, 24 Jun 2012 14:30:22 GMT
This bug only affects the build infrastructure, but I propose it as a 
blocker for 3.4.1:
https://issues.apache.org/ooo/show_bug.cgi?id=119229

The build process downloads some extensions, including dictionaries. 
Unless the build process starts completely clean (and it didn't as of 
the 3.4.0 builds), the build would reuse an older, cached, version of 
the extension even if a newer one was specified in extensions.lst; in 
other words, editing extensions.lst in order to specify to download 
version 1.1 of the Italian dictionary instead of version 1.0 would have 
unpredictable effects (one would get version 1.1 in a completely clean 
build, version 1.0 if he had already built OpenOffice before the change).

The fix is obviously low-risk, so it probably makes sense to backport it 
to 3.4.1. See http://s.apache.org/xkuN for context.

Regards,
   Andrea.

Mime
View raw message